Loading...
Searching...
No Matches
wind_scan.c File Reference

GIS Library - Coordinate scanning functions. More...

`#include <stdio.h>`
`#include <grass/gis.h>`
Include dependency graph for wind_scan.c:

Go to the source code of this file.

## Functions

int | G_scan_northing (const char *buf, double *northing, int projection)
| ASCII northing to double.
int | G_scan_easting (const char *buf, double *easting, int projection)
| ASCII easting to double.
int | G_scan_resolution (const char *buf, double *res, int projection)
| ASCII resolution to double.

## Detailed Description

GIS Library - Coordinate scanning functions.

(C) 2001-2009, 2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file wind_scan.c.

## Function Documentation

## G_scan_easting()

int G_scan_easting | ( | const char * | buf,
|  | double * | easting,
|  | int | projection )

ASCII easting to double.

Converts the ASCII "easting" coordinate string in buf to its double representation (into easting).

Supported projection codes (see gis.h):

- PROJECTION_XY
- PROJECTION_UTM
- PROJECTION_LL
- PROJECTION_OTHER

Parameters

  | buf | buffer containing string easting
  [out] | easting | easting
  | projection | projection code

Returns
  0 on error
  1 on success

Definition at line 69 of file wind_scan.c.

References G_lon_scan().

Referenced by G__read_Cell_head_array().

## G_scan_northing()

int G_scan_northing | ( | const char * | buf,
|  | double * | northing,
|  | int | projection )

ASCII northing to double.

Converts the ASCII "northing" coordinate string in buf to its double representation (into northing).

Supported projection codes (see gis.h):

- PROJECTION_XY
- PROJECTION_UTM
- PROJECTION_LL
- PROJECTION_OTHER

Parameters

  | buf | buffer hold string northing
  [out] | northing | northing
  | projection | projection code

Returns
  0 on error
  1 on success

Definition at line 38 of file wind_scan.c.

References G_lat_scan().

Referenced by G__read_Cell_head_array().

## G_scan_resolution()

int G_scan_resolution | ( | const char * | buf,
|  | double * | res,
|  | int | projection )

ASCII resolution to double.

Converts the ASCII "resolution" string in buf to its double representation (into resolution).

Supported projection codes (see gis.h):

- PROJECTION_XY
- PROJECTION_UTM
- PROJECTION_LL
- PROJECTION_OTHER

Parameters

  | buf | buffer containing string resolution
  [out] | res | resolution value
  | projection | projection code

Returns
  0 on error
  1 on success

Definition at line 100 of file wind_scan.c.

References G_llres_scan().

Referenced by G__read_Cell_head_array().